Bug 881956 - libnatspec: migration to /etc/hostname, /etc/vconsole.conf, /etc/locale.conf
libnatspec: migration to /etc/hostname, /etc/vconsole.conf, /etc/locale.conf
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libnatspec (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ivan Romanov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 881785
  Show dependency treegraph
 
Reported: 2012-11-29 16:03 EST by Michal Schmidt
Modified: 2013-01-11 18:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-11 18:25:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Schmidt 2012-11-29 16:03:38 EST
Fedora is migrating away from:
 /etc/sysconfig/network (the HOSTNAME=... setting)
 /etc/sysconfig/keyboard
 /etc/sysconfig/i18n
to:
 /etc/hostname
 /etc/vconsole.conf
 /etc/locale.conf

See the tracker bug 881785 for details.

We found in libnatspec-0.2.6/configure.ac:
  AC_ARG_WITH(i18n-file, [  --with-i18n-file=file Use this file for system LANG search],
    i18n_file=$withval,
    i18n_file=/etc/sysconfig/i18n)

And configure is not called with any argument overriding this default.

Please update the package for the new config files.
Comment 1 Ivan Romanov 2012-11-30 02:56:31 EST
thanks. will do.
Comment 2 Fedora Update System 2012-12-01 12:04:35 EST
libnatspec-0.2.6-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libnatspec-0.2.6-6.fc18
Comment 3 Fedora Update System 2012-12-02 14:27:52 EST
Package libnatspec-0.2.6-6.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libnatspec-0.2.6-6.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19507/libnatspec-0.2.6-6.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-01-11 18:25:11 EST
libnatspec-0.2.6-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.